Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.parse.host
Class GrammarHost

    java.lang.Object
      org.kohsuke.rngom.parse.host.Base
          org.kohsuke.rngom.parse.host.GrammarSectionHost
              org.kohsuke.rngom.parse.host.ScopeHost
                  org.kohsuke.rngom.parse.host.GrammarHost

All Implemented Interfaces:
  Grammar, GrammarSection, Scope

    public class GrammarHost

extends ScopeHost
implements Grammar

Wraps `Grammar` and provides error checking.

The following errors are checked by this host:

1. referenced to undefined patterns.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

Constructor Summary
`GrammarHost(Grammar lhs, Grammar rhs)`

Method Summary
`ParsedPattern` | `endGrammar(Location _loc, Annotations _anno)`

Methods inherited from class org.kohsuke.rngom.parse.host.ScopeHost
`makeParentRef, makeRef`

Methods inherited from class org.kohsuke.rngom.parse.host.GrammarSectionHost
`define, makeDiv, makeInclude, topLevelAnnotation, topLevelComment`

Methods inherited from class org.kohsuke.rngom.parse.host.Base
`cast, cast`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.kohsuke.rngom.ast.builder.Scope
`makeParentRef, makeRef`

Constructor Detail

### GrammarHost

    public GrammarHost(Grammar lhs,
                       Grammar rhs)

Method Detail

### endGrammar

    public ParsedPattern endGrammar(Location _loc,
                                    Annotations _anno)
                             throws BuildException

  Specified by:
    `endGrammar` in interface `Grammar`
  Throws:
    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD